Summary:	Frysk execution analysis tool
Name:		frysk
Version:	0.0.1.2006.02.19.rh2
Release:	0.FC5.2
License:	GPL
Group:		Development/System
URL:		http://sourceware.org/frysk
Source:		%{name}-%{version}.tar.bz2
Patch1:		frysk-Makefile-rules-noxmltest.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	libgtk-java >= 2.8.3.0.20060301.rh1
Requires:   	libglade-java >= 2.12.2.0.20060301.rh1
Requires: 	libvte-java >= 0.11.11.0.20060301.rh1
BuildRequires:	junit >= 3.8.1
BuildRequires:  antlr >= 2.7.4 
BuildRequires:	transfig >= 3.2.0 
BuildRequires:	jdom >= 1.0
BuildRequires:  libgtk-java-devel >= 2.8.3.0.20060301.rh1
BuildRequires:	libglade-java-devel >= 2.12.2.0.20060301.rh1
BuildRequires:  cairo-java-devel >= 1.0.2.0.20060301.rh1
BuildRequires:  cairo-devel >= 1.0.0
BuildRequires:  gtk2-devel >= 2.8.0
BuildRequires:	libvte-java-devel >= 0.11.11.0.20060301.rh1
BuildRequires:  vte-devel >= 0.11.11
BuildRequires:  xmlto

# We can only build on i386 for now
ExclusiveArch: %{ix86} x86_64

%description
Frysk is an execution-analysis technology implemented using native Java and C++.
It is aimed at providing developers and sysadmins with the ability to both
examine and analyze running multi-host, multi-process, multi-threaded systems.
Frysk allows the monitoring of running processes and threads, of locking
primitives and will also expose deadlocks, gather data and debug any given
process in the system.

%prep

%setup -q -n %{name}-%{version}
%patch1 -p0 -b .noxmltest
./autogen.sh

%build 

export JAVAC=${JAVAC:-/usr/bin/gcj -C}
export GCJ=${GCJ:-/usr/bin/gcj}
export GIJ=${GIJ:-/usr/bin/gij}
export JAR=${JAR:-/usr/bin/fastjar}
export GCJH=${GCJH:-/usr/bin/gcjh}
export GCJ_DBTOOL=${GCJ_DBTOOL:-/usr/bin/gcj-dbtool}
export GCC=${GCC:-/usr/bin/gcc}
export CC=${CC:-/usr/bin/gcc}
export CXX=${CXX:-/usr/bin/g++}
export JAVA=${JAVA:-/usr/bin/gij}
export JV_SCAN=${JV_SCAN:-/usr/bin/jv-scan}

%configure

make %{?_smp_mflags}

%install

rm -rf %{buildroot}
make  DESTDIR=$RPM_BUILD_ROOT  install %{?_smp_mflags}

# For moment, keep off menu (but if someone wants to enable it they
# can).
echo "Hidden=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/frysk.desktop

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING frysk-imports/common/EXCEPTION
%{_bindir}/frysk
%{_libdir}/*so*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*   
%{_datadir}/java/*.jar
%{_datadir}/applications/frysk.desktop
%{_datadir}/pixmaps/fryskTrayIcon48.png
%{_mandir}/man*/*
%{_libexecdir}/frysk/*

%changelog
* Fri Mar 03 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.2
- Add Hidden=true to frysk.desktop file; from halfline; with fixes.
- Disable xml check in frysk-gui/.

* Wed Mar 01 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.1
- Add dependencies on latest Java-GNOME bindings.

* Wed Mar 01 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.0
- Import frysk 0.0.1.2006.02.19.rh2; works around bug #180637.
- Enable x86_64, update *-java BuildRequires; fix bug #183538.

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.0.1.2006.02.19.rh1-0.FC5.1
- BuildRequires: xmlto

* Mon Feb 20 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.19.rh1-0.FC5.0
- Import frysk 0.0.1.2006.02.19.rh1 -- snapshot from middle of that day.

* Sat Feb 18 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.12-0.FC5.1
- Remove eclipse-cdt >= 3.0.0 from BuildRequires.  From Wu Zhou
  woodzltc@ibm.

* Sun Feb 12 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.12-0.FC5.0
- Import frysk 0.0.1.2006.02.12.

* Thu Feb 09 2006 Adam Jocksch <ajocksch@redhat.com> 0.0.1.2006.02.09-0.FC5.0
- Removed ftrace from %files and added libexedir files and man pages.
- Imported new frysk tarball, 

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.0.1.2006.01.22-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb 06 2006 Adam Jocksch <ajocksch@redhat.com> 0.0.1.2006.01.22-0.FC5.1
- Bumped version, rebuilt.

* Mon Jan 23 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.01.22-0.FC4.0
- Simplify .spec file (remove unused macro definitions).
- Import frysk 0.0.1.2006.01.22.
- Update -files; adding frysk.desktop and fryskTrayIcon48.png.

* Thu Dec 22 2005 Andrew Cagney <cagney@redhat.com> 0.0.1.2005.12.14.15.12-0.FC4.1
- Import frysk-0.0.1.2005.12.14.15.12 rpm.
- Drop build dependency java-1.4.2-gcj-compat-devel
- Apply Patch003, frysk-makefileam.patch.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051116-0.3
- Added jars under /usr/share/java to distribution.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051116-0.1
- Update source.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.3
- Removed runtime dependency for eclipse-cdt, changed buildtime eclipse-cdt dependency to 3.0.0.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.2
- Changed dependency on frysk-cdtparser to eclipse-cdt (it was somehow magically reversed).

* Mon Nov 14  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.1
- Removed smp flags.

* Mon Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.3
- Update source.

* Wed Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.2
- Added ExclusiveArch for i386.

* Wed Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.1
- Updated source, changed cdtparser dependency to eclipse-cdt. Added build
restriction to i386. Added %{?_smp_flags} to make command.

* Fri Oct 28  2005 Igor Foox <ifoox@redhat.com> 0.0-2
- Validated all Requires and BuildRequires clauses, fixed some of them.
- Fixed bug with libdir detection based on architecture.

* Wed Oct 26  2005 Igor Foox <ifoox@redhat.com> 0.0-1
- Birth.
